#' Example Population with 507 Strata
#'
#' @description A dataset containing the artificial population with 507 strata.
#'
#' @format A matrix with 507 rows and 3 variables:
#' \describe{
#'   \item{N}{stratum size}
#'   \item{S}{standard deviation of study variable in stratum}
#'   \item{unit_cost}{cost of surveying one element in stratum}
#' }
#'
"pop507"

#' Example Population with 969 Strata
#'
#' @description A dataset containing the artificial population with 969 strata.
#'
#' @format A matrix with 969 rows and 3 variables:
#' \describe{
#'   \item{N}{stratum size}
#'   \item{S}{standard deviation of study variable in stratum}
#'   \item{unit_cost}{cost of surveying one element in stratum}
#' }
#'
"pop969"

#' Example Population with 10 Strata and Lower and Upper Bounds
#'
#' @description A dataset containing the artificial population with 10 strata.
#'   Additionally, the lower and upper bounds for samples in strata are
#'   specified.
#'
#' @format A matrix with 10 rows and 5 variables:
#' \describe{
#'   \item{N}{stratum size}
#'   \item{S}{standard deviation of study variable in stratum}
#'   \item{m}{lower bound for sample size in stratum}
#'   \item{M}{upper bound for sample size in stratum}
#'   \item{unit_cost}{cost of surveying one element in stratum}
#' }
#'
"pop10_mM"
